# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "scx_lavd"
version = "1.1.2"
authors = [
    "Changwoo Min <changwoo@igalia.com>",
    "Igalia",
]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Latency-criticality Aware Virtual Deadline (LAVD) scheduler based on sched_ext, which is a Linux kernel feature which enables implementing kernel thread schedulers in BPF and dynamically loading them. https://github.com/sched-ext/scx/tree/main"
readme = "README.md"
license = "GPL-2.0-only"

[package.metadata.scx.ci.kernel]
blocklist = ["stable/6_12"]

[features]
enable_backtrace = []

[[bin]]
name = "scx_lavd"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.bitvec]
version = "1"
features = ["serde"]

[dependencies.clap]
version = "4"
features = [
    "derive",
    "env",
    "unicode",
    "wrap_help",
]

[dependencies.clap-num]
version = "1"

[dependencies.clap_main]
version = "0.2"

[dependencies.combinations]
version = "0.1"

[dependencies.crossbeam]
version = "0.8"

[dependencies.ctrlc]
version = "3"
features = ["termination"]

[dependencies.gpoint]
version = "0.3"

[dependencies.hex]
version = "0.4"

[dependencies.itertools]
version = "0.14"

[dependencies.libbpf-rs]
version = "=0.26.2"

[dependencies.libc]
version = "0.2"

[dependencies.nix]
version = "0.31"

[dependencies.ordered-float]
version = "5"

[dependencies.plain]
version = "0.2"

[dependencies.rlimit]
version = "0.11"

[dependencies.scx_arena]
version = "1.1.2"

[dependencies.scx_stats]
version = "1.1.2"

[dependencies.scx_stats_derive]
version = "1.1.2"

[dependencies.scx_utils]
version = "1.1.2"
features = ["autopower"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.static_assertions]
version = "1"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "fmt",
    "parking_lot",
    "tracing-log",
]

[build-dependencies.scx_cargo]
version = "1.1.2"
